Unable to start the Confluence server

Hi everybody,

I am working throw the tutorial https://developer.atlassian.com/server/framework/atlassian-sdk/create-a-confluence-hello-world-macro/.
I run atlas-create-confluence-plugin and call atlas-run and when I go to localhost___1990 I get this tomcat 404 page.

The error message:
image

My settings:

ATLAS Version: 8.2.7
ATLAS Home: /Applications/Atlassian/atlassian-plugin-sdk-8.2.7
ATLAS Scripts: /Applications/Atlassian/atlassian-plugin-sdk-8.2.7/bin
ATLAS Maven Home: /Applications/Atlassian/atlassian-plugin-sdk-8.2.7/apache-maven-3.5.4
AMPS Version: 8.1.2

Executing: /Applications/Atlassian/atlassian-plugin-sdk-8.2.7/apache-maven-3.5.4/bin/mvn --version -gs /Applications/Atlassian/atlassian-plugin-sdk-8.2.7/apache-maven-3.5.4/conf/settings.xml
Apache Maven 3.5.4 (1edded0938998edf8bf061f1ceb3cfdeccf443fe; 2018-06-17T20:33:14+02:00)
Maven home: /Applications/Atlassian/atlassian-plugin-sdk-8.2.7/apache-maven-3.5.4
Java version: 1.8.0_271, vendor: Oracle Corporation, runtime: /Library/Java/JavaVirtualMachines/jdk1.8.0_271.jdk/Contents/Home/jre
Default locale: de_DE, platform encoding: UTF-8
OS name: “mac os x”, version: “10.16”, arch: “x86_64”, family: “mac”

Could help me to solve the problem?

Thanx
Eva

Hi @evaalmasi

Which version of Confluence is it trying to run ? also are there any errors/stack-traces we can look at ? unfortunately the attachment isn’t too clear

We have this known issue here https://jira.atlassian.com/browse/CONFSERVER-60095 , where older versions of Confluence started failing on more recent JDK versions (we noticed the failures on JDK 8u262)

It has been fixed on Confluence 6.13.15 (it’s our 6.x LTS) , however you should not have any such issue on Confluence 7.x

1 Like